Log (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.util
Class Log

    java.lang.Object
      |
      +--org.beepcore.beep.util.Log

public class Log
extends java.lang.Object

Class Log

Field Summary
`static int` | `SEV_ALERT` A condition that should be corrected immediately
`static int` | `SEV_CRITICAL` Critical conditions
`static int` | `SEV_DEBUG` Messages that contain information normally of use only when debugging a program
`static int` | `SEV_DEBUG_VERBOSE` Messages that contain a LOT of information normally of use only when debugging a program
`static int` | `SEV_EMERGENCY` System is unusable
`static int` | `SEV_ERROR` Errors
`static int` | `SEV_INFORMATIONAL` Informational messages
`static int` | `SEV_NOTICE` Normal but significant conditions that may require special handling
`static int` | `SEV_WARNING` Warning messages

Constructor Summary
`Log()`

Method Summary
`static boolean` | `isLogged(int sev)` Used to determine if a message of `sev` will be logged.
`static void` | `logEntry(int sev, java.lang.String message)` Method logEntry
`static void` | `logEntry(int sev, java.lang.String service, java.lang.String message)` Method logEntry
`static void` | `logEntry(int sev, java.lang.String service, java.lang.Throwable exception)` Method logEntry
`static void` | `logEntry(int sev, java.lang.Throwable exception)` Method logEntry
`static void` | `setLogService(LogService log)` Method setLogService

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEV_EMERGENCY

    public static final int SEV_EMERGENCY

  System is unusable

  See Also:
    Constant Field Values

### SEV_ALERT

    public static final int SEV_ALERT

  A condition that should be corrected immediately

  See Also:
    Constant Field Values

### SEV_CRITICAL

    public static final int SEV_CRITICAL

  Critical conditions

  See Also:
    Constant Field Values

### SEV_ERROR

    public static final int SEV_ERROR

  Errors

  See Also:
    Constant Field Values

### SEV_WARNING

    public static final int SEV_WARNING

  Warning messages

  See Also:
    Constant Field Values

### SEV_NOTICE

    public static final int SEV_NOTICE

  Normal but significant conditions that may require special handling

  See Also:
    Constant Field Values

### SEV_INFORMATIONAL

    public static final int SEV_INFORMATIONAL

  Informational messages

  See Also:
    Constant Field Values

### SEV_DEBUG

    public static final int SEV_DEBUG

  Messages that contain information normally of use only when debugging a program

  See Also:
    Constant Field Values

### SEV_DEBUG_VERBOSE

    public static final int SEV_DEBUG_VERBOSE

  Messages that contain a LOT of information normally of use only when debugging a program

  See Also:
    Constant Field Values

Constructor Detail

### Log

    public Log()

Method Detail

### isLogged

    public static boolean isLogged(int sev)

  Used to determine if a message of `sev` will be logged.

### logEntry

    public static void logEntry(int sev,
                                java.lang.String message)

  Method logEntry

  Parameters:
    `sev` -
    `message` -

### logEntry

    public static void logEntry(int sev,
                                java.lang.Throwable exception)

  Method logEntry

  Parameters:
    `sev` -
    `exception` -

### logEntry

    public static void logEntry(int sev,
                                java.lang.String service,
                                java.lang.String message)

  Method logEntry

  Parameters:
    `sev` -
    `service` -
    `message` -

### logEntry

    public static void logEntry(int sev,
                                java.lang.String service,
                                java.lang.Throwable exception)

  Method logEntry

  Parameters:
    `sev` -
    `service` -
    `exception` -

### setLogService

    public static void setLogService(LogService log)

  Method setLogService

  Parameters:
    `log` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.